import numpy as np
import scipy.sparse as sp
    
    
def generate_random(n):
    A = sp.rand(n, n, 
                density=np.log(n) / n,
                format='csr') > 0
    # make matrix symmetric
    A = sp.triu(A, k=-1)
    A = A + np.transpose(A)
    return A